// vi:ts=4:sts=4:sw=4:noet:tw=72

package modules

import (
	"strings"

	"code.dnix.de/an/xlog"

	"github.com/sorcix/irc"
)

var ()

func init() {
	MsgHandlers["announcements"] = anncouncementsHandleMessage
	xlog.Info("Announcements module initialized")
}

func anncouncementsHandleMessage(m *irc.Message) {
	tok := strings.Split(m.Trailing, " ")
	if len(tok) < 1 {
		return
	}
	switch tok[0] {
	case "!annadd":
		/* add announcement */
	case "!anndel":
		/* delete announcement */
	case "!annlist":
		/* list announcement */
	default:
	}
}
